﻿Type=StaticCode
Version=3.8
B4A=true
@EndOfDesignText@
'Code module
Sub Process_Globals
	Dim px, py As Int
	Type SignatureData (Canvas As Canvas, Panel As Panel, SignatureColor As Int, SignatureWidth As Int)
End Sub

Sub Panel_Touch(SD As SignatureData, x As Int,y As Int, Action As Int)
	If Action = 0 Then 'mouse down constant
		px = x
		py = y
	Else
		SD.Canvas.DrawLine(px, py, x, y, SD.SignatureColor, SD.SignatureWidth)
		SD.Panel.Invalidate
		px = x
		py = y
	End If
End Sub
Sub Clear(SD As SignatureData, Rahmen As Boolean, Unterschrift As String)
	Dim bereich As Rect
	Dim w,h As Int
	w = SD.Canvas.Bitmap.Width-4
	h = SD.Canvas.Bitmap.Height-4
	Log("x="&0&"/y="&0&"/w="&w&"/h="&h)
	bereich.Initialize(2,2,w, h)
	SD.Canvas.DrawColor(Colors.White)
	If Rahmen = True Then
		SD.Canvas.DrawRect(bereich,Colors.Gray,False,5dip)
	End If
	SD.Canvas.DrawLine(30dip,h-40dip,w-30dip,h-40dip,Colors.Gray,1dip)
	
	SD.Canvas.DrawText(Unterschrift,w/2,h-30dip, Typeface.MONOSPACE,10, Colors.Blue,"CENTER")
	
	If Rahmen = True Then
		SD.Canvas.DrawRect(bereich,Colors.Gray,False,5dip)
	End If
	SD.Panel.Invalidate
End Sub
Sub Save(SD As SignatureData, Dir As String, Name As String)
	Dim out As OutputStream
	out = File.OpenOutput(Dir, Name, False)
	SD.Canvas.Bitmap.WriteToStream(out, 100, "PNG")
	out.Close
End Sub
